interactable = {}

function interactable:load()
    if gameMap.layers["interactable"] then
        for _,obj in pairs(gameMap.layers["interactable"].objects) do
            self.collider = world:newRectangleCollider(obj.x, obj.y, obj.width, obj.height)
            world:addCollisionClass("canInteract")
            self.collider:setCollisionClass("canInteract")
            self.collider:setFixedRotation(false)
            self.collider:setType("static")
        end
    end

    self.texts = {
        'hello (press any key to continue)',
        'this is text',
        'that will print after pressing keys'
    }

    self.textsShown = 0
end

function interactable:draw()
    if gameMap.layers["interactable"] then
        for _,obj in pairs(gameMap.layers["interactable"].objects) do
            if distance(player.x, player.y, obj.x, obj.y) <= 110 and self.textsShown <= #self.texts then
                if self.textsShown == 0 then
                    player.canMove = false
                    self.textsShown = 1
                end

                love.graphics.print(self.texts[self.textsShown])
            end
        end
    end
end

function interactable:keypressed(key, scancode, isrepeat)
    if self.textsShown > 0 and self.textsShown <= #self.texts then
        if self.textsShown == #self.texts then
            player.canMove = true
        end

        self.textsShown = self.textsShown + 1
    end
end